// <#-- Location Combo Store -->
Ext.define('App.store.LocationComboStore', {
	extend: 'Ext.data.Store',
	autoLoad: true,

	constructor: function(cfg) {
		var me = this;
		cfg = cfg || {};
		me.callParent([Ext.apply({
			proxy: {
				type: 'ajax',
				url: App.url('/common/location/combo.json'),
				extraParams: cfg.extraParams || {},
				reader: {
					type: 'json',
					root: 'records',
				}
			},
			fields: [
				{
					name: 'id',
					type: 'int',
					useNull: true
				},
				{
					name: 'code',
					type: 'string'
				},
				{
					name: 'name',
					type: 'string'
				}
			],
		},
		cfg)]);
	}
});